Bug 469771 - kernel drmi915_gem_object_pin *ERROR* Failure to bind: -512<3> drm i915_gem_object_bind_to_gtt *ERROR* Failed to evict a buffer -512
kernel drmi915_gem_object_pin *ERROR* Failure to bind: -512<3> drm i915_gem_...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 17:37 EST by Mace Moneta
Modified: 2009-04-07 13:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-14 17:39:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci, dmidecode, Xorg.0.log, dmesg output (220.24 KB, text/plain)
2008-11-03 17:37 EST, Mace Moneta
no flags Details

  None (edit)
Description Mace Moneta 2008-11-03 17:37:40 EST
Created attachment 322376 [details]
lspci, dmidecode, Xorg.0.log, dmesg output 

Description of problem:

On Intel G45 X4500HD, when running Compiz and OpenGL games (like FreeDoom), the system log gets many messages:

Nov  3 17:07:59 slayer kernel:[drm:i915_gem_object_bind_to_gtt]
                       *ERROR* Failed to evict a buffer -512
Nov  3 17:07:59 slayer kernel:[drm:i915_gem_object_pin]
                       *ERROR* Failure to bind: -512

Version-Release number of selected component (if applicable):

kernel-2.6.27.4-73.fc10.x86_64
xorg-x11-drv-i810-2.5.0-1.fc10.x86_64

How reproducible:

Always

Steps to Reproduce:
1.Start X without an xorg.conf (i.e., use the default configuration)
2.Start Compiz 
3.Start FreeDoom set to OpenGL
  
Actual results:

Errors listed above

Expected results:

No errors

Additional info:

Attaching lspci, dmidecode, Xorg.0.log, dmesg
Comment 1 Mace Moneta 2008-11-14 17:39:52 EST
I no longer see these errors with the current kernel and xorg-x11-drv-i810.  Closing against rawhide.

Note You need to log in before you can comment on or make changes to this bug.